﻿using System;

namespace CyberCriminal
{
    class Storage
    {
        //after the semilocon a new "line", after the = the value of the field.
        public string storageText = "";

        public Storage()
        {

        }

        public string get(string field)
        {
            if (storageText.Contains(field))
            {
                int numberOfSemicolons = storageText.Split(';').Length - 1;
                bool stop = false;
                string[] msg = storageText.Split(';');
                string toReturn = "";
                int i;

                for (i = 0; i < numberOfSemicolons && !stop; i++)
                {
                    if (msg[i].Contains(field))
                    {
                        stop = true;
                        toReturn = getStuff(msg[i]);
                    }
                }

                if (i == numberOfSemicolons && toReturn == "")
                {
                    Console.WriteLine("Error in the storage system.");
                }

                return toReturn;
            }
            else if (storageText == "")
            {
                Console.WriteLine("There are no values in the storage.");
                return "";
            }
            else
            {
                Console.WriteLine("The field doesn't exist in the storage.");
                return "";
            }
            
        }

        public void store(string field, string value)
        {
            if (field.Contains(";") || field.Contains("=") || value.Contains(";") || value.Contains("="))
            {
                Console.WriteLine("Cannot store \"" + field + "\" with the value of \"" + value + "\" if it has \";\" or a \"=\" in it.");
            }
            else
            {
                storageText = storageText + field + "=" + value + ";";
                Console.WriteLine("Succesfully stored " + field + " with the value " + value);
            }
        }

        public void remove(string field)
        {
            if (field != "")
            {
                string rmv = get(field);
                if (rmv != "")
                {
                    storageText = storageText.Replace(field + "=" + rmv, "");
                    Console.WriteLine("Succesfully removed \"" + field + "\" with the value of \"" + rmv + "\"");
                }
            }
            else
            {
                Console.WriteLine("The field cannot be \"\"");
            }
        }

        private string getStuff(string input)
        {
            string send = input.Split('=')[1];
            return send;
        }
    }
}
