﻿using System;
using System.Threading;

namespace CyberCriminal
{
    class Driver
    {
        string InvalidArgumentsException = "Invalid arguments." + System.Environment.NewLine;

        Storage store = new Storage();
        Target player;

        static int targets = 20;
        Target[] target = new Target[targets];


        public Driver()
        {
            Console.WriteLine("Derpsoft Doors v 1.348");
            Console.WriteLine("Copyright joppiesaus 2013");
            Console.WriteLine();

            player = new Target(false);
            player.name = "anonymous";

            for (int i = 0; i < targets; i++)
            {
                target[i] = new Target(true, i);
            }

            command();
        }

        public void command()
        {
            string input = Console.ReadLine();
            string msg = input.ToLower();

            if (msg == "cls")
            {
                Console.Clear();
            }
            else if (msg == "help")
            {
                Console.Write(help());
            }
            else if (msg == "exit")
            {
                Environment.Exit(0);
            }
            else if (msg == "connection")
            {
                showIPs();
            }
            else if (msg.Split(' ')[0] == "ping")
            {
                int argument = 0;
                try
                {
                    int amountOfSpaces = msg.Split(' ').Length - 1;

                    if (amountOfSpaces >= 2)
                    {
                        try
                        {
                            argument = Convert.ToInt32(msg.Split(' ')[2]);
                        }
                        catch
                        {
                            argument = 0;
                        }
                    }

                    ping(msg.Split(' ')[1], argument);
                }
                catch
                {
                    Console.WriteLine(InvalidArgumentsException);
                }
            }
            else if (msg.Split(' ')[0] == "set")
            {
                try
                {
                    set(msg.Split(' ')[1]);
                }
                catch
                {
                    Console.WriteLine(InvalidArgumentsException);
                }
            }
            else if (msg.Split(' ')[0] == "echo")
            {
                try
                {
                    string message = input.Replace("echo", "");
                    echo(message);
                }
                catch
                {
                    echo("");
                }
            }
            else if (msg == "system")
            {
                getSystem();
            }
            else if (msg.Split(' ')[0] == "color")
            {
                try
                {
                    string color = msg.Split(' ')[1];
                    setColor(color);
                }
                catch
                {
                    setColor("reset");
                }
            }
            else if (msg.Split(' ')[0] == "force")
            {
                try
                {
                    string ipAdress = msg.Split(' ')[1];
                    force(ipAdress);
                }
                catch
                {
                    Console.WriteLine(InvalidArgumentsException);
                }
            }
            else if (msg.Split(' ')[0] == "storage")
            {
                try
                {
                    if (msg.Split(' ')[1] == "remove" || msg.Split(' ')[1] == "rmv")
                    {
                        store.remove(msg.Split(' ')[2]);
                    }
                    else if (msg.Split(' ')[1] == "get")
                    {
                        string display = store.get(msg.Split(' ')[2]);

                        if (display != "")
                        {
                            Console.WriteLine("The field \"" + msg.Split(' ')[2] + "\" has a value of \"" + display + "\"");
                        }
                    }
                    else if (msg.Split(' ')[1] == "set")
                    {
                        string str1 = msg.Split(' ')[2];
                        store.store(str1, msg.Replace("storage set " + str1 + " ", ""));
                    }
                    else
                    {
                        string str1 = msg.Split(' ')[1];
                        store.store(str1, msg.Replace("storage " + str1 + " ", ""));
                    }
                    Console.WriteLine();
                }
                catch
                {
                    Console.WriteLine(InvalidArgumentsException);
                }
            }
            else
            {
                Console.WriteLine("Bad command or illigal filename." + System.Environment.NewLine);
            }
            command();
        }

        string help()
        {
            string enter = System.Environment.NewLine;
            char tab = '\t';
            return enter + "HELP - shows the help" + enter + "CLS  - clears the screen" + enter + "EXIT - exits the program" + enter + "CONNECTION - shows the recent connections" +
                enter + "PING <ip> [times] - checks the connection between you and the target ip." + enter + "SET <field> - sets the specified field to a specified value." +
                 enter + tab + "Valid fields are IP, NAME, TITLE." + enter + "ECHO - displays a specified message." + enter + "COLOR [color] - sets a specified color" +
                 ". Leave empty or type reset to reset." + enter + "FORCE <ip> - Forces and spams an IP in order to get usernames and passwords." + enter + "STORAGE [argument]" +
                 " <field> [value] - Argument SET or no argument stores a" + enter  + tab + "specific field and value temporary. Argument GET will get a value of a" +
                 enter + tab + "field. Argument remove or rmv will remove a specific field and value." + enter;
        }

        void showIPs()
        {
            Console.WriteLine();
            Console.WriteLine("Recent connections:");
            for (int i = 0; i < targets; i++)
            {
                int seed = Convert.ToInt32(target[i].ipAdress.Split('.')[0]);
                Random rand = new Random(seed + i);
                int num = rand.Next(1, 100);
                string space = "";
                if (num < 10)
                {
                    space = " ";
                }
                Console.WriteLine("IP: " + target[i].ipAdress + "  -  last reply " + num.ToString() + space + " minutes ago");
            }
            Console.WriteLine();
        }

        void ping(string ip, int times)
        {
            int targetArray = -1;

            for (int i = 0; i < targets; i++)
            {
                if (ip == target[i].ipAdress)
                {
                    targetArray = i;
                }
            }

            if (targetArray != -1)
            {
                int total = 0;

                if (times == 0)
                {
                    total = 4;
                }
                else
                {
                    total = times;
                }

                Console.WriteLine("Pinging target host, " + target[targetArray].ipAdress);
                int average = 0;

                for (int i = 0; i < total; i++)
                {
                    Random rand = new Random();
                    Console.WriteLine("Got reply from: " + target[targetArray].ipAdress + " in " + rand.Next(0, 700).ToString() + " ms");
                    average += rand.Next(0, 700);
                    Thread.Sleep(701);
                }
                average = average / total;
                Console.WriteLine("Ping completed.");
                Console.WriteLine("Pinged " + total.ToString() + " times, with a average time of " + average.ToString() + " ms.");
                Console.WriteLine();
            }
            else
            {
                Console.WriteLine("Unknown host.");
            }
        }

        void set(string setWhat)
        {
            if (setWhat == "ip")
            {
                string old = player.ipAdress;
                Console.WriteLine("Enter your new IP: ");
                player.ipAdress = Console.ReadLine();
                Console.WriteLine("Succesfully changed your ip from " + old + " to " + player.ipAdress);
                
            }
            else if (setWhat == "name")
            {
                string old = player.name;
                Console.WriteLine("Enter your new name: ");
                player.name = Console.ReadLine();
                Console.WriteLine("Succesfully changed your name from " + old + " to " + player.name);
            }
            else if (setWhat == "title")
            {
                string old = Console.Title;
                Console.WriteLine("Enter the new window title: ");
                Console.Title = Console.ReadLine();
                Console.WriteLine("Succesfully changed window title from " + old + " to " + Console.Title);
            }
            else
            {
                Console.WriteLine("Invalid field.");
            }
        }

        void echo(string echo)
        {
            Console.WriteLine(echo + System.Environment.NewLine);
        }

        void getSystem()
        {
            Console.WriteLine();
            Console.WriteLine("Your system: ");
            Console.WriteLine("OS                " + System.Environment.OSVersion);
            Console.WriteLine("OS 64-bit         " + System.Environment.Is64BitOperatingSystem);
            Console.WriteLine("Machine name      " + System.Environment.MachineName);
            Console.WriteLine("Framework version " + System.Environment.Version);
            Console.WriteLine("Uptime in ticks   " + System.Environment.TickCount);
            Console.WriteLine("Processors        " + System.Environment.ProcessorCount);
            Console.WriteLine("Username          " + System.Environment.UserName);
            Console.WriteLine("User domain name  " + System.Environment.UserDomainName);
            Console.WriteLine("System directory  " + System.Environment.SystemDirectory);
            Console.WriteLine("Cluster size in B " + System.Environment.SystemPageSize);
            Console.WriteLine("Workingset        " + System.Environment.WorkingSet);
            Console.WriteLine();
        }

        void setColor(string color)
        {
            if (color == "reset")
            {
                Console.ResetColor();
            }
            else if (color == "blue")
            {
                Console.ForegroundColor = ConsoleColor.Blue;
            }
            else if (color == "red")
            {
                Console.ForegroundColor = ConsoleColor.Red;
            }
            else if (color == "green")
            {
                Console.ForegroundColor = ConsoleColor.Green;
            }
            else if (color == "white")
            {
                Console.ForegroundColor = ConsoleColor.White;
            }
            else if (color == "pink")
            {
                Console.ForegroundColor = ConsoleColor.Magenta;
            }
            else
            {
                Console.WriteLine("Unknown color");
            }
        }

        void force(string ip)
        {
            int array = -1;
            string password = "";
            string username = "";

            for (int i = 0; i < targets; i++)
            {
                if (ip == target[i].ipAdress)
                {
                    array = i;
                    password = target[i].password;
                    username = target[i].name;
                }
            }

            Random rand = new Random();

            Console.WriteLine();
            Console.WriteLine("Connecting...");
            Thread.Sleep(rand.Next(500, 1000));

            if (array == -1)
            {
                Console.WriteLine("Failed to connect. Reason: Unknown host.");
            }
            else
            {
                fakeEncryptStuff(password);
                Thread.Sleep(1000);
                fakeEncryptStuff(username);
                Thread.Sleep(500);

                Console.WriteLine();
                Console.WriteLine("Username: " + username);
                Console.WriteLine("Password: " + password);
                Console.WriteLine();
            }
        }

        void fakeEncryptStuff(string stuff, int timeOut = 750)
        {
            string encryptedPass = "";

            for (int i = 0; i < stuff.Length; i++)
            {
                encryptedPass = encryptedPass.Insert(0, ".");
            }

            Console.WriteLine(encryptedPass);
            Thread.Sleep(800);

            char[] pass = stuff.ToCharArray();

            int doAgain = 0;
            for (int i = 0; i < (stuff.Length + doAgain); i++)
            {
                //ultra random
                Random ran = new Random(Guid.NewGuid().GetHashCode());

                int num = ran.Next(0, stuff.Length);
                string dontbreak = encryptedPass.Substring(num);

                if (!dontbreak.StartsWith("."))
                {
                    doAgain++;
                }
                else
                {
                    Thread.Sleep(timeOut);
                    encryptedPass = encryptedPass.Insert(num, pass[num].ToString());
                    encryptedPass = encryptedPass.Remove(num + 1, 1);
                    Console.WriteLine(encryptedPass);
                }
            }
        }
    }
}
